clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
PPCallbacksTracker.cpp File Reference

Implementations for preprocessor tracking. More...

`#include "PPCallbacksTracker.h"`
`#include "clang/Lex/MacroArgs.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <stdarg.h>`
`#include <stdio.h>`
Include dependency graph for PPCallbacksTracker.cpp:

Go to the source code of this file.

## Functions
static std::string | getSourceLocationString (clang::Preprocessor &PP, clang::SourceLocation Loc)

## Variables
static const char *const | FileChangeReasonStrings []
static const char *const | CharacteristicKindStrings []
static const char *const | MacroDirectiveKindStrings []
static const char *const | PragmaIntroducerKindStrings []
static const char *const | PragmaMessageKindStrings []
static const char *const | ConditionValueKindStrings []
static const char *const | MappingStrings []

## Detailed Description

Implementations for preprocessor tracking.

See the header for details.

Definition in file PPCallbacksTracker.cpp.

## Function Documentation

static std::string getSourceLocationString | ( | clang::Preprocessor & | PP,
|  | clang::SourceLocation | Loc
| ) |  |
| static

Definition at line 26 of file PPCallbacksTracker.cpp.

References Result.

Referenced by PPCallbacksTracker::appendArgument().

## Variable Documentation

const char* const CharacteristicKindStrings[]
| static

Initial value:
= { "C_User", "C_System",
"C_ExternCSystem" }

Definition at line 64 of file PPCallbacksTracker.cpp.

Referenced by PPCallbacksTracker::FileChanged(), and PPCallbacksTracker::FileSkipped().

const char* const ConditionValueKindStrings[]
| static

Initial value:
= {
"CVK_NotEvaluated", "CVK_False", "CVK_True"
}

Definition at line 83 of file PPCallbacksTracker.cpp.

Referenced by PPCallbacksTracker::Elif(), and PPCallbacksTracker::If().

const char* const FileChangeReasonStrings[]
| static

Initial value:
= {
"EnterFile", "ExitFile", "SystemHeaderPragma", "RenameFile"
}

Definition at line 59 of file PPCallbacksTracker.cpp.

Referenced by PPCallbacksTracker::FileChanged().

const char* const MacroDirectiveKindStrings[]
| static

Initial value:
= {
"MD_Define","MD_Undefine", "MD_Visibility"
}

Definition at line 68 of file PPCallbacksTracker.cpp.

Referenced by PPCallbacksTracker::appendArgument().

const char* const MappingStrings[]
| static

Initial value:
= { "0", "MAP_IGNORE",
"MAP_REMARK", "MAP_WARNING",
"MAP_ERROR", "MAP_FATAL" }

Definition at line 88 of file PPCallbacksTracker.cpp.

Referenced by PPCallbacksTracker::PragmaDiagnostic().

const char* const PragmaIntroducerKindStrings[]
| static

Initial value:
= { "PIK_HashPragma",
"PIK__Pragma",
"PIK___pragma" }

Definition at line 73 of file PPCallbacksTracker.cpp.

Referenced by PPCallbacksTracker::PragmaDirective().

const char* const PragmaMessageKindStrings[]
| static

Initial value:
= {
"PMK_Message", "PMK_Warning", "PMK_Error"
}

Definition at line 78 of file PPCallbacksTracker.cpp.

Referenced by PPCallbacksTracker::PragmaMessage().